Subject: bug#26220: core-updates: r-rcpp fails to build with GCC 5

From: [email-masked] (Ludovic Courtès)
Date: Thu, 23 Mar 2017 15:11:35 +0100

Ricardo Wurmus <[email-masked]> skribis:

> Leo Famulari <[email-masked]> writes:
>
>> Is this an appropriate solution?
>> From 216000bc2d05799f3d68ae1806bb4b2ce6ab0782 Mon Sep 17 00:00:00 2001
>> From: Leo Famulari <[email-masked]>
>> Date: Wed, 22 Mar 2017 17:16:58 -0400
>> Subject: [PATCH] gnu: r-rcpp: Fix build failure with GCC-5.
>>
>> * gnu/packages/statistics.scm (r-rcpp)[native-inputs]: Add gcc-4.9.
>
> I don’t think so.  The real problem is that “gcc” was updated to point
> to “gcc-5”, but “gfortran” still points to “gfortran-4.9”.
>
> We should update “gfortran” to point to “gfortran-5” instead (and maybe
> add a comment next to the “gcc” definition to remind people to also
> update “gfortran”).
>
> I’m not sure if this is accurate but “guix refresh -l gfortran-4.9”
> tells me this:
>
>     Building the following 142 packages would ensure 475 dependent
>     packages are rebuilt …
>
> What do you think?  Do you want me to push it to core-updates?

I think so.  It’s probably better than leaving some of the Fortran
packages in a broken state.

Could you make this change?

Thanks,
Ludo’.